# **************!!!!!!!! don't forget to upgrade "oldrelease" also ****************
%define name SDL
%define version 1.1.8
%define release 4mdk
%define lib_name_orig libSDL
%define lib_major 1.1
%define lib_name %{lib_name_orig}%{lib_major}
%define oldversion 1.0.8
%define oldlib_major 1.0
%define oldlib_name %{lib_name_orig}%{oldlib_major}
# **************!!!!!!!! don't forget to upgrade "oldrelease" also ****************
%define oldrelease 8mdk
# **************!!!!!!!! don't forget to upgrade "oldrelease" also ****************

Summary: Simple DirectMedia Layer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.libsdl.org/release/%{name}-%{version}.tar.bz2
Source1: %{name}-%{oldversion}.tar.bz2
Patch0: SDL-fix-rpath-in-sdlconfig.patch.bz2
Patch1: SDL-1.1.8-fix-1.2-fixes.patch.bz2
Copyright: LGPL
Group: System/Libraries
URL: http://www.libsdl.org
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: esound-devel, XFree86-devel, audiofile-devel
%ifarch i386 i486 i586 i686 k6 k7
BuildRequires: nasm
%endif

%description
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Obsoletes: SDL

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: SDL-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{oldlib_name}
Summary: Main library for %{name} (old version)
Group: System/Libraries
Version: %{oldversion}
Release: %{oldrelease}

%description -n %{oldlib_name}
This package contains the library needed to run old programs dynamically
linked with %{name}.

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
# (gc) Do **NOT** use %%configure or else the shared lib will not contain the static libs, thus leading to problems with all client apps
./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --enable-video-opengl --disable-video-svga --disable-video-ggi
make
cd SDL-%{oldversion}
./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --enable-video-opengl --disable-video-svga --disable-video-ggi
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cd SDL-%{oldversion}/src/.libs
cp -p libSDL-1.0.so.0.* $RPM_BUILD_ROOT/%{prefix}/lib

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{oldlib_name} -p /sbin/ldconfig

%postun -n %{oldlib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/libSDL-%{lib_major}.so.*

%files -n %{oldlib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libSDL-%{oldlib_major}.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README README-SDL.txt COPYING CREDITS BUGS WhatsNew docs.html
%doc docs/html/*.html
%{_bindir}/*-config
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/SDL/
%{_datadir}/aclocal/*
%{_mandir}/*/*

%changelog
* Sun Apr  1 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.8-4mdk
- re-integrate 1.2.0 backported patches, in a non-broken way this time
  (hopefully)

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.8-3mdk
- removed SDL-1.2.0 backported patches. It seems breaks the 1.1.8 API.

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.8-2mdk
- get fixes from SDL 1.2.0.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.8-1mdk
- Put a new shiny 1.1.8 SDL out for general consumption.

* Tue Jan 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-3mdk
- use working release for old SDL also

* Mon Jan 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-2mdk
- added provides to libSDL1.1 (Guillaume Rousse <g.rousse@linux-mandrake.com>)
- devel package use provides with full version and release tags

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-2mdk
- follow new lib policy, split packages with current and old versions

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6
- include man pages
- include html help

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-8mdk
- rebuild to fix sdl-config to not provide some rpath

* Fri Sep 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-7mdk
- rebuild with latest XFree 4.0.1 from FredL.

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-6mdk
- rebuild against fixed XFree4 by fredl

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-5mdk
- rebuild without %%configure.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-4mdk
- fixed a typo in changelog.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-3mdk
- use of configure and other macros.

* Sat Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-2mdk
- removed Mesa-devel from BuildRequires and other entries listed twice.
- updated URL.

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4 (which fixes a bug in KDE according to the README for xmms-smpeg).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-4mdk
- automatically added BuildRequires.

* Thu Jun 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-3mdk
- added old 1.0.X version for backward compatibility.

* Sat Jun 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-2mdk
- added some Requires.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- v1.1.3.

* Thu May 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.8-4mdk
- don't use nasm on non Intel archs.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.8-3mdk
- fixed the few problems

* Fri Apr 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- changed group.

* Sat Mar 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.8.

* Tue Feb 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.4.

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated for version 1.0.3.
- added BuildPreReq.

* Wed Jan 19 2000 Sam Lantinga <slouken@devolution.com>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure 
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
